%define url_ver %(echo %{version} | cut -d. -f1,2)

# exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	A slider for adjusting the value passed to a command
Name:		xfce4-generic-slider
Version:	1.0.1
Release:	%mkrel 2
License:	GPLv3+
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/panel-plugins/xfce4-generic-slider/start
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-generic-slider/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
Requires:	xfce4-panel

%description
Xfce4-generic-slider is a tool to help Xfce users deal with a variable which
they wish to both GET and SET. The getting side is similar to what
xfce4-genmon-plugin does except the command's numerical output is represented
visually in a slider. Dragging the slider is then used to set the value through
calls to a second command.

%prep
%setup -q
%autopatch -p1

%build
%xdt_autogen
%configure
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog README* NEWS
%{_libdir}/xfce4/panel/plugins/libgeneric-slider.so
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_iconsdir}/hicolor/*/apps/org.xfce.panel.genericslider.{svg,png}


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.0.1-2.mga10
+ Revision: 2232846
- Mageia 10 Mass Rebuild

* Wed Dec 25 2024 wally <wally> 1.0.1-1.mga10
+ Revision: 2130040
- new version 1.0.1

* Sun May 28 2023 wally <wally> 1.0.0-1.mga9
+ Revision: 1959570
- imported package xfce4-generic-slider

